When a dashboard reads data from a protected JSON endpoint, authentication headers can be attached in the onBeginProcessData event.

In Vue.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/viewer'

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/OrdersUrl.mrt");

report.onBeginProcessData = function (args) {
    if (args.database === "JSON" && args.command === "GetData") {
        args.headers.push({ key: "X-Auth-Token", value: "*YOUR TOKEN*" });
    }
};

var options = new Stimulsoft.Viewer.StiViewerOptions();
options.appearance.fullScreenMode = true;
</script>

<template>
    <Viewer :report="report" :options="options" />
</template>

How it works. The engine sends the headers with its JSON fetch, so the dashboard can read endpoints behind token protection.
In the screenshot below you can see the result of the sample code:

Supply Custom Headers for JSON Database

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

When a dashboard reads data from a protected JSON endpoint, authentication headers can be attached in the onBeginProcessData event.

In Angular.
import { Component } from "@angular/core";
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-angular/viewer";

@Component({
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="options"></sti-viewer>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;
    options: Stimulsoft.Viewer.StiViewerOptions;

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/OrdersUrl.mrt");

        this.report.onBeginProcessData = function (args) {
            if (args.database === "JSON" && args.command === "GetData") {
                args.headers.push({ key: "X-Auth-Token", value: "*YOUR TOKEN*" });
            }
        };

        this.options = new Stimulsoft.Viewer.StiViewerOptions();
        this.options.appearance.fullScreenMode = true;
    }
}

How it works. The engine sends the headers with its JSON fetch, so the dashboard can read endpoints behind token protection.
In the screenshot below you can see the result of the sample code:

Supply Custom Headers for JSON Database

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.